## javax.ws.rs.core
Interface MultivaluedMap<K,V>

All Superinterfaces:
  java.util.Map<K,java.util.List<V>>

All Known Implementing Classes:
  Form, InBoundHeaders, MultivaluedMapImpl, OutBoundHeaders, StringKeyIgnoreCaseMultivaluedMap, StringKeyObjectValueIgnoreCaseMultivaluedMap, StringKeyStringValueIgnoreCaseMultivaluedMap, UnmodifiableMultivaluedMap

    public interface MultivaluedMap<K,V>

extends java.util.Map<K,java.util.List<V>>

A map of key-values pairs. Each key can have zero or more values.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`void` | `add(K key, V value)` Add a value to the current list of values for the supplied key.
`V` | `getFirst(K key)` A shortcut to get the first value of the supplied key.
`void` | `putSingle(K key, V value)` Set the key's value to be a one item list consisting of the supplied value.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### putSingle

    void putSingle(K key,
                   V value)

  Set the key's value to be a one item list consisting of the supplied value. Any existing values will be replaced.

  Parameters:
    `key` - the key
    `value` - the single value of the key

### add

    void add(K key,
             V value)

  Add a value to the current list of values for the supplied key.

  Parameters:
    `key` - the key
    `value` - the value to be added.

### getFirst

    V getFirst(K key)

  A shortcut to get the first value of the supplied key.

  Parameters:
    `key` - the key
  Returns:
    the first value for the specified key or null if the key is not in the map.

Copyright © 2017 Oracle Corporation. All Rights Reserved.